// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: accelfin-server-dtos.proto

package com.accelfin.server.messaging.dtos;

public final class AccelfinServerDtos {
  private AccelfinServerDtos() {}
  public static void registerAllExtensions(
      com.google.protobuf.ExtensionRegistry registry) {
  }
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_com_accelfin_server_messaging_dtos_MessageEnvelopeDto_descriptor;
  static final 
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_com_accelfin_server_messaging_dtos_MessageEnvelopeDto_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_com_accelfin_server_messaging_dtos_OperationConfigDto_descriptor;
  static final 
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_com_accelfin_server_messaging_dtos_OperationConfigDto_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_com_accelfin_server_messaging_dtos_HeartbeatDto_descriptor;
  static final 
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_com_accelfin_server_messaging_dtos_HeartbeatDto_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_com_accelfin_server_messaging_dtos_AnyDto_descriptor;
  static final 
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_com_accelfin_server_messaging_dtos_AnyDto_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_com_accelfin_server_messaging_dtos_TimestampDto_descriptor;
  static final 
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_com_accelfin_server_messaging_dtos_TimestampDto_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_com_accelfin_server_messaging_dtos_DecimalDto_descriptor;
  static final 
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_com_accelfin_server_messaging_dtos_DecimalDto_fieldAccessorTable;

  public static com.google.protobuf.Descriptors.FileDescriptor
      getDescriptor() {
    return descriptor;
  }
  private static  com.google.protobuf.Descriptors.FileDescriptor
      descriptor;
  static {
    java.lang.String[] descriptorData = {
      "\n\032accelfin-server-dtos.proto\022\"com.accelf" +
      "in.server.messaging.dtos\"\223\002\n\022MessageEnve" +
      "lopeDto\022\026\n\016operation_name\030\001 \001(\t\022C\n\ttimes" +
      "tamp\030\002 \001(\01320.com.accelfin.server.messagi" +
      "ng.dtos.TimestampDto\022;\n\007payload\030\003 \001(\0132*." +
      "com.accelfin.server.messaging.dtos.AnyDt" +
      "o\022\025\n\rhas_completed\030\004 \001(\010\022\r\n\005error\030\005 \001(\t\022" +
      "\026\n\016correlation_id\030\006 \001(\t\022\022\n\nsession_id\030\007 " +
      "\001(\t\022\021\n\tsender_id\030\010 \001(\t\"\325\002\n\022OperationConf" +
      "igDto\022\024\n\014service_type\030\001 \001(\t\022\026\n\016operation",
      "_name\030\002 \001(\t\022\022\n\nservice_id\030\003 \001(\t\022\037\n\027requi" +
      "res_authentication\030\004 \001(\010\022\035\n\025request_exch" +
      "ange_name\030\005 \001(\t\022\033\n\023request_routing_key\030\006" +
      " \001(\t\022\036\n\026response_exchange_name\030\007 \001(\t\022\034\n\024" +
      "response_routing_key\030\010 \001(\t\022L\n\016operation_" +
      "type\030\t \001(\01624.com.accelfin.server.messagi" +
      "ng.dtos.OperationTypeDto\022\024\n\014is_available" +
      "\030\n \001(\010\"\352\001\n\014HeartbeatDto\022\022\n\nservice_id\030\001 " +
      "\001(\t\022\024\n\014service_type\030\002 \001(\t\022U\n\025operation_c" +
      "onfig_dtos\030\003 \003(\01326.com.accelfin.server.m",
      "essaging.dtos.OperationConfigDto\022C\n\ttime" +
      "stamp\030\004 \001(\01320.com.accelfin.server.messag" +
      "ing.dtos.TimestampDto\022\024\n\014service_load\030\005 " +
      "\001(\005\"/\n\006AnyDto\022\026\n\016canonical_name\030\001 \001(\t\022\r\n" +
      "\005value\030\002 \001(\014\".\n\014TimestampDto\022\017\n\007seconds\030" +
      "\001 \001(\003\022\r\n\005nanos\030\002 \001(\005\"3\n\nDecimalDto\022\026\n\016un" +
      "scaled_value\030\001 \001(\003\022\r\n\005scale\030\002 \001(\005*;\n\020Ope" +
      "rationTypeDto\022\007\n\003RPC\020\000\022\022\n\016REQUEST_STREAM" +
      "\020\001\022\n\n\006STREAM\020\002B&\n\"com.accelfin.server.me" +
      "ssaging.dtosP\001b\006proto3"
    };
    com.google.protobuf.Descriptors.FileDescriptor.InternalDescriptorAssigner assigner =
        new com.google.protobuf.Descriptors.FileDescriptor.    InternalDescriptorAssigner() {
          public com.google.protobuf.ExtensionRegistry assignDescriptors(
              com.google.protobuf.Descriptors.FileDescriptor root) {
            descriptor = root;
            return null;
          }
        };
    com.google.protobuf.Descriptors.FileDescriptor
      .internalBuildGeneratedFileFrom(descriptorData,
        new com.google.protobuf.Descriptors.FileDescriptor[] {
        }, assigner);
    internal_static_com_accelfin_server_messaging_dtos_MessageEnvelopeDto_descriptor =
      getDescriptor().getMessageTypes().get(0);
    internal_static_com_accelfin_server_messaging_dtos_MessageEnvelopeDto_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessage.FieldAccessorTable(
        internal_static_com_accelfin_server_messaging_dtos_MessageEnvelopeDto_descriptor,
        new java.lang.String[] { "OperationName", "Timestamp", "Payload", "HasCompleted", "Error", "CorrelationId", "SessionId", "SenderId", });
    internal_static_com_accelfin_server_messaging_dtos_OperationConfigDto_descriptor =
      getDescriptor().getMessageTypes().get(1);
    internal_static_com_accelfin_server_messaging_dtos_OperationConfigDto_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessage.FieldAccessorTable(
        internal_static_com_accelfin_server_messaging_dtos_OperationConfigDto_descriptor,
        new java.lang.String[] { "ServiceType", "OperationName", "ServiceId", "RequiresAuthentication", "RequestExchangeName", "RequestRoutingKey", "ResponseExchangeName", "ResponseRoutingKey", "OperationType", "IsAvailable", });
    internal_static_com_accelfin_server_messaging_dtos_HeartbeatDto_descriptor =
      getDescriptor().getMessageTypes().get(2);
    internal_static_com_accelfin_server_messaging_dtos_HeartbeatDto_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessage.FieldAccessorTable(
        internal_static_com_accelfin_server_messaging_dtos_HeartbeatDto_descriptor,
        new java.lang.String[] { "ServiceId", "ServiceType", "OperationConfigDtos", "Timestamp", "ServiceLoad", });
    internal_static_com_accelfin_server_messaging_dtos_AnyDto_descriptor =
      getDescriptor().getMessageTypes().get(3);
    internal_static_com_accelfin_server_messaging_dtos_AnyDto_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessage.FieldAccessorTable(
        internal_static_com_accelfin_server_messaging_dtos_AnyDto_descriptor,
        new java.lang.String[] { "CanonicalName", "Value", });
    internal_static_com_accelfin_server_messaging_dtos_TimestampDto_descriptor =
      getDescriptor().getMessageTypes().get(4);
    internal_static_com_accelfin_server_messaging_dtos_TimestampDto_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessage.FieldAccessorTable(
        internal_static_com_accelfin_server_messaging_dtos_TimestampDto_descriptor,
        new java.lang.String[] { "Seconds", "Nanos", });
    internal_static_com_accelfin_server_messaging_dtos_DecimalDto_descriptor =
      getDescriptor().getMessageTypes().get(5);
    internal_static_com_accelfin_server_messaging_dtos_DecimalDto_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessage.FieldAccessorTable(
        internal_static_com_accelfin_server_messaging_dtos_DecimalDto_descriptor,
        new java.lang.String[] { "UnscaledValue", "Scale", });
  }

  // @@protoc_insertion_point(outer_class_scope)
}
